## org.exist.atom.modules
Class AtomFeeds

    java.lang.Object
      org.exist.atom.modules.AtomModuleBase
          org.exist.atom.modules.AtomFeeds

All Implemented Interfaces:
  Atom, AtomModule

Direct Known Subclasses:
  AtomProtocol

public class AtomFeeds
extends AtomModuleBase
implements Atom

Author:
  R. Alexander Milowski

Nested Class Summary

Nested classes inherited from class org.exist.atom.AtomModule
`AtomModule.Context`

Field Summary

Fields inherited from interface org.exist.atom.Atom
`ENTRY, FEED, MIME_TYPE, NAMESPACE, NAMESPACE_STRING, PUBLISHED, SUMMARY, TITLE, UPDATED`

Constructor Summary
`AtomFeeds()` Creates a new instance of AtomProtocol

Method Summary
`void` `doGet(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` `doHead(DBBroker broker, IncomingMessage request, OutgoingMessage response)`

Methods inherited from class org.exist.atom.modules.AtomModuleBase
`doDelete, doPost, doPut, init, process`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomFeeds

    public AtomFeeds()

  Creates a new instance of AtomProtocol

Method Detail

### doGet

    public void doGet(DBBroker broker,
                      IncomingMessage request,
                      OutgoingMessage response)
               throws BadRequestException,
                      PermissionDeniedException,
                      NotFoundException,
                      EXistException

  Overrides:
    `doGet` in class `AtomModuleBase`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doHead

    public void doHead(DBBroker broker,
                       IncomingMessage request,
                       OutgoingMessage response)
                throws BadRequestException,
                       PermissionDeniedException,
                       NotFoundException,
                       EXistException

  Overrides:
    `doHead` in class `AtomModuleBase`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

Copyright (C) Wolfgang Meier. All rights reserved.